package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.entities.BakuMutu;
import com.jasamedika.medifirst2000.vo.BakuMutuVO;

public interface BakuMutuService <T> extends BaseVoService<BakuMutu, BakuMutuVO, Integer> {

	Map<String, Object> addBakuMutu(BakuMutuVO vo);

	Map<String, Object> updateBakuMutu(BakuMutuVO vo);

	Map<String, Object> findAllBakuMutu();

	boolean deleteBakuMutu(Integer id);

	Map<String, Object> getBakuMutuParent();

	Map<String, Object> getBakuMutuChild();

	Map<String, Object> bakuMutuById(Integer id);
	

}
